function err_est = getErrEst(prob,mu,u_appr,Norm)
  
  [Kpre,Lpre] = assembleFemPre(prob,mu);
  
  res = Lpre-Kpre*u_appr;
  res = res(prob.fem.dof.ind);
  
  innProd = prob.fem.innProd.(Norm);
  innProd = innProd(prob.fem.dof.ind,prob.fem.dof.ind);
  
  dualRes = innProd\res;
  dualNormRes = sqrt(dualRes'*innProd*dualRes);
  
  alpha = getCoercivity(prob, mu, Norm, Kpre);
  
  err_est = dualNormRes/alpha;