function varargout = getPODAppr(prob,mu,l)

  l = eval('l','prob.POD.d');
  
  K = zeros(prob.POD.d);
  for q=1:size(prob.POD.pre.lhs,2)
      K = K + prob.POD.pre.lhs(q).theta(mu) * prob.POD.pre.lhs(q).K;
  end

  L = prob.POD.pre.rhs.L*prob.POD.pre.rhs.theta(mu);
  
  if (l<prob.POD.d)
    K = K(1:l,1:l);
    L = L(1:l);
  end
  
  varargout{1} = K\L;
  if (nargout>1)
    varargout{2} = prob.POD.Basis(:,1:l)*varargout{1};
  end
